aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained/openlldp/openlldp.initd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-08-25 15:26:24 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-25 15:26:24 +0200
commitb6af1e02efe594039707cd882517663d5370f375 (patch)
treeff9c2d55873e051e82972ba64c017352d3a75d34 /unmaintained/openlldp/openlldp.initd
parenta71346b7acebc600960a98c84fb32cfd72fe864b (diff)
downloadaports-b6af1e02efe594039707cd882517663d5370f375.tar.bz2
aports-b6af1e02efe594039707cd882517663d5370f375.tar.xz
testing/[multiple]: move unmaintained packages
This moves all packages from testing to unmaintained which have not been updated for atleast 6 months. If you are affected by this commit please follow this proceddure: * make sure your packages build on all architectures * move your pacakge(s) back to testing * if you want to keep this package and can maintain it (or find somebody to maintain it for you) for a minimum of 6 months ask it to be moved to community
Diffstat (limited to 'unmaintained/openlldp/openlldp.initd')
-rwxr-xr-xunmaintained/openlldp/openlldp.initd24
1 files changed, 24 insertions, 0 deletions
diff --git a/unmaintained/openlldp/openlldp.initd b/unmaintained/openlldp/openlldp.initd
new file mode 100755
index 0000000000..4ab856addc
--- /dev/null
+++ b/unmaintained/openlldp/openlldp.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+
+NAME="lldpd"
+DAEMON="/usr/sbin/$NAME"
+pidfile=/var/run/$NAME.pid
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting ${NAME}"
+ start-stop-daemon --start --quiet --pidfile ${pidfile} \
+ --exec ${DAEMON} -- ${OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${NAME}"
+ start-stop-daemon --stop --exec ${DAEMON}
+ eend $?
+}
+